CEL: Crystal Entity Layer: iCelPersistence Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelPersistence Struct Reference

This interface describes a module that can persist CEL data. More...

`#include <physicallayer/persist.h>`

List of all members.

## Public Member Functions
virtual bool | Load (iCelLocalEntitySet *set, iFile *file)=0
| Load a local entity set from an iFile.
virtual bool | Load (iCelLocalEntitySet *set, const char *name)=0
| Load a local entity set.
virtual bool | Save (iCelLocalEntitySet *set, iFile *file)=0
| Save a local entity set to an iFile.
virtual bool | Save (iCelLocalEntitySet *set, const char *name)=0
| Save a local entity set.

## Detailed Description

This interface describes a module that can persist CEL data.

Definition at line 354 of file persist.h.

## Member Function Documentation

virtual bool iCelPersistence::Load | ( | iCelLocalEntitySet * | set,
|  | iFile * | file
| ) | `[pure virtual]`

  | Load a local entity set from an iFile. Parameters:
  | set | is an empty local entity set that will be filled by this routine.
  | file | the iFile to load the entity set from.
Returns: false on error. Reporting will be already done.

virtual bool iCelPersistence::Load | ( | iCelLocalEntitySet * | set,
|  | const char * | name
| ) | `[pure virtual]`

  | Load a local entity set. 'name' is a name relevant for the given type of persistence. It can be a filename for example (VFS). Parameters:
  | set | is an empty local entity set that will be filled by this routine.
  | name | identifies the saved data.
Returns: false on error. Reporting will be already done.

virtual bool iCelPersistence::Save | ( | iCelLocalEntitySet * | set,
|  | iFile * | file
| ) | `[pure virtual]`

  | Save a local entity set to an iFile. Parameters:
  | set | is a local entity set with entities to be saved.
  | file | the iFile to save the entity set to.
Returns: false on error. Reporting will be already done.

virtual bool iCelPersistence::Save | ( | iCelLocalEntitySet * | set,
|  | const char * | name
| ) | `[pure virtual]`

  | Save a local entity set. 'name' is a name relevant for the given type of persistence. It can be a filename for example (VFS). Parameters:
  | set | is a local entity set with entities to be saved.
  | name | identifies the saved data.
Returns: false on error. Reporting will be already done.

The documentation for this struct was generated from the following file:

- physicallayer/persist.h